/****************************************************************************/
/* GE15 ( アクセス調査テーブル )                                            */
/*                                                                          */
/* Created : 2013/07/24 18:56:05                                            */
/****************************************************************************/
CREATE TABLE GE15 (
   SYSTEM_ID        varchar           (   10 )                  NOT NULL            /*  10 システムID               */
 , USERID           varchar           (   10 )                  NOT NULL            /*  20 ユーザーID               */
 , GUIKEY           varchar           (   30 )                                      /*  30 画面ID                   */
 , DYLOGIN          varchar           (   14 )                                      /*  40 ログイン時間             */
 , DYLOGOUT         varchar           (   14 )                                      /*  50 ログアウト時間           */
 , USED_TIME        int                             DEFAULT 0   NOT NULL            /*  60 使用時間(秒)             */
 , CNT_ACCESS       int                             DEFAULT 0   NOT NULL            /*  70 アクセス件数             */
 , CNT_ERROR        int                             DEFAULT 0   NOT NULL            /*  80 エラー件数               */
 , CNT_READ         int                             DEFAULT 0   NOT NULL            /*  90 読込件数                 */
 , CNT_WRITE        int                             DEFAULT 0   NOT NULL            /* 100 出力件数                 */
 , TM_TOTAL_QUERY   float                           DEFAULT 0   NOT NULL            /* 110 トータルDBクエリ時間(ms) */
 , TM_MAX_QUERY     int                             DEFAULT 0   NOT NULL            /* 120 最大DBクエリ時間(ms)     */
 , MAX_QUERY        varchar           ( 4000 )                                      /* 200 最長実行クエリ           */
 , USERADRS         varchar           (   40 )                                      /* 210 IPアドレス(local)        */
 , HOSTADRS         varchar           (   40 )                                      /* 220 IPアドレス(remote)       */
 , UNIQ             int IDENTITY(1,1)                                               /* 800 ユニークキー             */
 , FGJ              varchar           (    1 )      DEFAULT 1   NOT NULL            /* 810 状態フラグ               */
 , DYSET            varchar           (   14 )                                      /* 820 登録日時                 */
 , PGSET            varchar           (   10 )                                      /* 830 作成PG                   */
 , PGPSET           varchar           (   10 )                                      /* 840 作成親PG                 */
 , USRSET           varchar           (   10 )                                      /* 850 作成社員                 */
 , DYUPD            varchar           (   14 )                                      /* 860 更新日時                 */
 , PGUPD            varchar           (   10 )                                      /* 870 更新PG                   */
 , PGPUPD           varchar           (   10 )                                      /* 880 更新親PG                 */
 , USRUPD           varchar           (   10 )                                      /* 890 更新者                   */
);


