/****************************************************************************/
/* GF76 ( ファイル検索テーブル )                                            */
/*                                                                          */
/* Created : 2013/07/24 19:28:19                                            */
/****************************************************************************/
CREATE TABLE GF76 (
   SYSTEM_ID    VARCHAR2 (  10 )                    NOT NULL            /*  10 ｼｽﾃﾑID       */
 , ADDRESS      VARCHAR2 ( 256 )                                        /*  20 ｱﾄﾞﾚｽ        */
 , PRE_FIX      VARCHAR2 (  10 )                    NOT NULL            /*  20 名前空間     */
 , FILENAME     VARCHAR2 (  60 )                                        /*  30 ﾌｧｲﾙ名       */
 , FILEPATH     VARCHAR2 ( 256 )                                        /*  40 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     VARCHAR2 (  14 )                                        /*  50 最終更新日   */
 , TAGNAME      VARCHAR2 (  30 )                                        /*  60 ﾀｸﾞ名称      */
 , TITLE        VARCHAR2 ( 300 )                                        /*  70 ﾀｲﾄﾙ         */
 , VERNO        VARCHAR2 (  10 )                                        /*  80 ﾊﾞｰｼﾞｮﾝ      */
 , MODIFYDATE   VARCHAR2 (  30 )                                        /*  90 更新日       */
 , AUTHOR       VARCHAR2 ( 100 )                                        /* 100 更新者       */
 , TEXTBODY     CLOB                                                    /* 110 ｺﾒﾝﾄ文       */
 , FGOMIT       VARCHAR2 (   1 )        DEFAULT '0' NOT NULL            /* 120 除外ﾌﾗｸﾞ     */
 , UNIQ         NUMBER   (  22 )        DEFAULT 0   NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR2 (   1 )        DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR2 (  14 )                                        /* 820 登録日時     */
 , PGSET        VARCHAR2 (  10 )                                        /* 830 作成PG       */
 , PGPSET       VARCHAR2 (  10 )                                        /* 840 作成親PG     */
 , USRSET       VARCHAR2 (  10 )                                        /* 850 作成社員     */
 , DYUPD        VARCHAR2 (  14 )                                        /* 860 更新日時     */
 , PGUPD        VARCHAR2 (  10 )                                        /* 870 更新PG       */
 , PGPUPD       VARCHAR2 (  10 )                                        /* 880 更新親PG     */
 , USRUPD       VARCHAR2 (  10 )                                        /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K NEXT 16K PCTINCREASE 0 );

CREATE SEQUENCE GF76S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;

CREATE OR REPLACE TRIGGER GF76T00 
  BEFORE INSERT ON GF76
  FOR EACH ROW 
  BEGIN 
    SELECT GF76S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
